%define name portsentry
%define version 1.1
%define release 1

Name:		%{name}
Summary:	Psionic PortSentry
Version:	%{version}
Release:	%{release}
License:	see LICENSE
Group:		System/Servers
Packager: 	linuxkid <linux@peanutlinux.org>
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Patch0:		portsentry.linuxkid.patch.bz2
Patch1:		%{name}-1.1-fhs.patch.bz2
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot
%define		_sysconfdir	/etc

%description
PortSentry is part of the Abacus Project suite of tools. The Abacus 
Project is an initiative to release low-maintenance, generic, and reliable
host based intrusion detection software to the Internet community. More
information can be obtained from http://www.psionic.com.  PortSentry
monitors TCP and UDP ports for illegal entry and port scans.

%prep
%setup -q

%patch0 -p1
%patch1 -p1 -b .fhs


%build
make linux CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/portsentry
make install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp portsentry $RPM_BUILD_ROOT/usr/sbin

cat << EOF >> $RPM_BUILD_ROOT%{_sysconfdir}/portsentry/always_ignore
# Include the host IP addresses you want portsentry to always ignore

EOF

cat << EOF >> $RPM_BUILD_ROOT%{_sysconfdir}/portsentry/portsentry.modes
# These are the startup modes for portsentry.
#
# Normal TCP/UDP scanning:
#tcp
#udp
#
# Steal TCP/UDP scanning:
#stcp
#sudp
#
# Advanced Stealth TCP/UDP scanning:
atcp
audp
EOF

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%post
%_post_service portsentry

%preun
%_preun_service portsentry

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CREDITS LICENSE README.*
%{_sbindir}/portsentry
%attr(700,root,root) /var/portsentry
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.ignore
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.conf
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.modes
%config(noreplace) %{_sysconfdir}/portsentry/always_ignore
